//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Mon Feb 21 19:22:56 PST 2000
// Last Modified: Mon Mar  6 13:33:28 PST 2000
// Filename:      BatonDisplay.h
// Syntax:        C++; qt 2.1.0
// $Smake:        /usr/lib/qt-2.1.0/bin/moc %f > %b.moc
//
// Description:   This is the primary GUI interface to draw baton position data.
//

#ifndef _BATONDISPLAY_H_INCLUDED
#define _BATONDISPLAY_H_INCLUDED

#include <qapplication.h>
#include <qwidget.h>
#include "BatonMenu.h"
#include "BatonCanvas.h"
#include "BatonWidget.h"
#include "BatonInterface.h"

class BatonDisplay : public BatonInterface {
   Q_OBJECT

   public:
                    BatonDisplay      (void);
                   ~BatonDisplay      ();

      void          baton1pos         (int xPoint, int yPoint = 0, 
                                            int zPoint = 0, int aTime = 0);
      void          baton2pos         (int xPoint, int yPoint = 0, 
                                            int zPoint = 0, int aTime = 0);
      static int    exec              (void);
      static void   hide              (void);
      static void   processEvents     (void);
      static void   show              (void);
      static int    toggleView        (void);
      static int    viewMode          (void);

   public slots:
      void          resizeMain        (void);
   private:
      static QApplication   qapplication; // main X-windows interface
      static int            argcc;    // dummy command count for QApplication
      static char**         argvv;    // dummy command string for QApplication

      static BatonWidget   *mainwindow; // main display window for baton display
      static BatonMenu     *menu;       // menu for display options, etc.
      static BatonCanvas   *canvas;     // drawing surface for baton data

      static int           displayState; // 0=hidden, 1=shown


   protected:
      static void          setDisplayState(int aState);
};



#endif /* _BATONDISPLAY_H_INCLUDED */



