//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Mon Feb 21 19:22:56 PST 2000
// Last Modified: Mon Mar  6 13:33:28 PST 2000
// Filename:      BatonInterface.cpp
// Syntax:        C++; qt 2.1.0
// $Smake:        g++ -O3 -I/usr/lib/qt-2.1.0/include -g -c %f
//
// Description:   Interface between the main program and the baton
//                display.
//


#include "BatonInterface.h"
#include "BatonInterface.moc"
#include <iostream.h>

// checkKeyboard is defined in batonImprov*.h
// it is used to control the terminal interface commands.
int checkKeyboard(int key = -1);


//////////////////////////////
//
// BatonInterface::BatonInterface --
//

BatonInterface::BatonInterface(void) {
   // do nothing
}



//////////////////////////////
//
// BatonInterface::~BatonInterface --
//

BatonInterface::~BatonInterface() {
   // do nothing
}



//////////////////////////////
//
// BatonInterface::hide -- toggle the visual display to make
//     it invisible (it is assumed that since the user can
//     see the interface, the next call with the letter "V" 
//     will hide the graphical display.
//

void BatonInterface::hide(void) {
   checkKeyboard('V');
}



//////////////////////////////
//
// BatonInterface::quit -- 
//

void BatonInterface::quit(void) {
   checkKeyboard('Q');
}



