//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Mon Mar  6 14:35:12 PST 2000
// Last Modified: Mon Mar  6 14:35:17 PST 2000
// Filename:      BatonMenu.h
// Syntax:        C++; qt 2.1.0
// $Smake:        /usr/lib/qt-2.1.0/bin/moc %f > %b.moc
//
// Description:   This is the menu for the radio baton plotting
//                display.
//

#ifndef _BATONMENU_H_INCLUDED
#define _BATONMENU_H_INCLUDED

#include <qmenubar.h>
#include "BatonCanvas.h"

class BatonMenu : public QMenuBar {
   Q_OBJECT

   public:
                    BatonMenu         (QWidget* parent=0, const char* name=0);
                   ~BatonMenu         ();

   public slots:
      void          about             (void);
      void          pause             (void);
      void          reset             (void);
      void          plotStyleXY       (void);
      void          plotStyleScroll   (void);
      void          plotStyleWrap     (void);

   signals:
      void          clear             (void);
      void          print             (void);
      void          quit              (void);
      void          resize            (void);
      void          hide              (void);
      void          plotStyle         (int aStyle);

};



#endif /* _BATONMENU_H_INCLUDED */



