//
// Programmer:    Craig Stuart Sapp <craig@ccrma.stanford.edu>
// Creation Date: Mon Feb 21 19:22:56 PST 2000
// Last Modified: Mon Mar  6 14:21:16 PST 2000
// Filename:      BatonWidget.cpp
// Syntax:        C++ 
// $Smake:        g++ -O3 -I/usr/lib/qt-2.1.0/include -c -g %f
//
// Description:   This class plots the baton data.
//

#include "BatonWidget.h"
#include "BatonWidget.moc"
#include <qpainter.h>
#include <qcolor.h>
#include <iostream.h>
#include <ctype.h>


//////////////////////////////
//
// BatonWidget::BatonWidget --
//     default values: parent=0, name=0;
//

BatonWidget::BatonWidget(QWidget *parent, const char* name) :
      QMainWindow(parent, name) {
   setCaption("Radio Baton Position Display");
   setBackgroundColor(white);

   setMinimumSize(200, 160);

}



//////////////////////////////
//
// BatonWidget::~BatonWidget --
//

BatonWidget::~BatonWidget() {
   // do nothing
}



//////////////////////////////
//
// BatonWidget::quit --
//

void BatonWidget::quit(void) {
   cout << "BatonWidget quit slot called " << endl;
}


///////////////////////////////////////////////////////////////////////////
//
// Events
//


///////////////////////////////
//
// BatonWidget::paintEvent -- Called when the widget needs to be updated.
//

void BatonWidget::paintEvent(QPaintEvent *event) {
   QPainter paint(this);
}



///////////////////////////////
//
// BatonWidget::keyPressEvent -- Called when the keyboard is hit.

int checkKeyboard(int key = -1);

void BatonWidget::keyPressEvent(QKeyEvent *k) {
   checkKeyboard(k->ascii());
}



///////////////////////////////
//
// BatonWidget::resizeEvent -- Called when the widget has been resized.
//    Moves the button group to the upper right corner
//    of the widget.
//

void BatonWidget::resizeEvent(QResizeEvent *event) {

}




